| Home | Libraries | People | FAQ | More

## Struct template use_basic_expr

boost::proto::use_basic_expr

## Synopsis

    // In header: <boost/proto/generate.hpp>

    template<typename Generator>
    struct use_basic_expr :  Generator {
    };

## Description

Annotate a generator to indicate that it would prefer to be passed instances of `proto::basic_expr<>` rather than `proto::expr<>`.

`use_basic_expr< Generator >` is itself a generator.